Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230076 - Merge Review: bind
Summary: Merge Review: bind
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: bind
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adam Tkac
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-26 15:31 UTC by Marcela Mašláňová
Modified: 2013-04-30 23:35 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-29 13:28:46 UTC


Attachments (Terms of Use)

Description Marcela Mašláňová 2007-02-26 15:31:06 UTC
Source:
W: bind summary-ended-with-dot The Berkeley Internet Name Domain (BIND) DNS
(Domain Name System) server.
E: bind tag-not-utf8 %changelog
W: bind strange-permission namedSetForwarders 0775
W: bind strange-permission named.init 0775
W: bind strange-permission namedGetForwarders 0775
E: bind non-utf8-spec-file bind.spec
W: bind unversioned-explicit-obsoletes bind-libbind-devel
W: bind unversioned-explicit-obsoletes bind-libbind-devel
W: bind unversioned-explicit-obsoletes bind-config
W: bind unversioned-explicit-provides bind-config
W: bind prereq-use bind = %{epoch}:%{version}-%{release}
W: bind hardcoded-prefix-tag %{chroot_prefix}
W: bind prereq-use bind = %{epoch}:%{version}-%{release}
W: bind prereq-use bind       = %{epoch}:%{version}-%{release}
W: bind make-check-outside-check-section    make test
W: bind macro-in-%changelog preun
W: bind macro-in-%changelog exclude
W: bind macro-in-%changelog doc
W: bind macro-in-%changelog __cc
W: bind macro-in-%changelog post
W: bind macro-in-%changelog post
W: bind macro-in-%changelog files
W: bind macro-in-%changelog postun
W: bind macro-in-%changelog ghost
W: bind macro-in-%changelog post
W: bind macro-in-%changelog post
W: bind macro-in-%changelog post
W: bind macro-in-%changelog preun
W: bind macro-in-%changelog SOURCE
W: bind macro-in-%changelog post
W: bind macro-in-%changelog post
W: bind mixed-use-of-spaces-and-tabs (spaces: line 2, tab: line 5)
Arch:
bind
W: bind summary-ended-with-dot The Berkeley Internet Name Domain (BIND) DNS
(Domain Name System) server.
E: bind tag-not-utf8 %changelog
W: bind conffile-without-noreplace-flag /etc/dbus-1/system.d/named.conf
W: bind conffile-without-noreplace-flag /etc/rc.d/init.d/named
E: bind file-in-usr-marked-as-conffile /usr/share/dbus-1/services/named.service
W: bind conffile-without-noreplace-flag /usr/share/dbus-1/services/named.service
E: bind non-readable /usr/sbin/rndc 0750
E: bind non-standard-executable-perm /usr/sbin/rndc 0750
E: bind non-standard-gid /etc/sysconfig/named named
E: bind non-readable /etc/sysconfig/named 0640
E: bind non-standard-uid /var/run/named named
E: bind non-standard-gid /var/run/named named
E: bind non-standard-dir-perm /var/run/named 0770
E: bind non-standard-uid /var/named/data named
E: bind non-standard-gid /var/named/data named
E: bind non-standard-dir-perm /var/named/data 0770
E: bind non-readable /usr/sbin/rndc-confgen 0750
E: bind non-standard-executable-perm /usr/sbin/rndc-confgen 0750
E: bind non-standard-gid /var/named named
E: bind non-standard-dir-perm /var/named 0750
E: bind non-readable /usr/sbin/lwresd 0750
E: bind non-standard-executable-perm /usr/sbin/lwresd 0750
E: bind non-standard-executable-perm /etc/rc.d/init.d/named 0754
E: bind executable-marked-as-config-file /etc/rc.d/init.d/named
E: bind non-readable /usr/sbin/bind-chroot-admin 0750
E: bind non-standard-executable-perm /usr/sbin/bind-chroot-admin 0750
E: bind non-readable /usr/sbin/namedSetForwarders 0750
E: bind non-standard-executable-perm /usr/sbin/namedSetForwarders 0750
E: bind non-readable /usr/sbin/named 0750
E: bind non-standard-executable-perm /usr/sbin/named 0750
E: bind non-readable /usr/sbin/namedGetForwarders 0750
E: bind non-standard-executable-perm /usr/sbin/namedGetForwarders 0750
E: bind non-standard-uid /var/named/slaves named
E: bind non-standard-gid /var/named/slaves named
E: bind non-standard-dir-perm /var/named/slaves 0770
E: bind non-standard-gid /etc/named.conf named
E: bind non-readable /etc/named.conf 0640
E: bind non-standard-gid /etc/rndc.key named
E: bind non-readable /etc/rndc.key 0640
E: bind non-readable /usr/sbin/named-bootconf 0750
E: bind non-standard-executable-perm /usr/sbin/named-bootconf 0750
E: bind non-standard-gid /etc/logrotate.d/named named
E: bind incoherent-logrotate-file /etc/logrotate.d/named
E: bind non-readable /etc/logrotate.d/named 0640
E: bind non-standard-gid /etc/rndc.conf named
E: bind non-readable /etc/rndc.conf 0640
W: bind FSSTND-dir-in-var /var/named/data
W: bind incoherent-init-script-name named
bind-chroot
W: bind-chroot no-documentation
E: bind-chroot non-standard-uid /var/named/chroot/var/tmp named
E: bind-chroot non-standard-gid /var/named/chroot/var/tmp named
E: bind-chroot non-standard-dir-perm /var/named/chroot/var/tmp 0770
E: bind-chroot non-standard-gid /var/named/chroot/var/named named
E: bind-chroot non-standard-dir-perm /var/named/chroot/var/named 0750
E: bind-chroot non-standard-uid /var/named/chroot/dev/null named
E: bind-chroot non-standard-gid /var/named/chroot/dev/null named
E: bind-chroot non-readable /var/named/chroot/dev/null 0660
E: bind-chroot non-standard-gid
/var/named/chroot/etc/named.caching-nameserver.conf named
E: bind-chroot non-readable /var/named/chroot/etc/named.caching-nameserver.conf 0640
E: bind-chroot non-standard-gid /var/named/chroot/dev named
E: bind-chroot non-standard-dir-perm /var/named/chroot/dev 0750
E: bind-chroot non-standard-uid /var/named/chroot/dev/random named
E: bind-chroot non-standard-gid /var/named/chroot/dev/random named
E: bind-chroot non-readable /var/named/chroot/dev/random 0660
E: bind-chroot non-standard-gid /var/named/chroot/etc/named.conf named
E: bind-chroot non-readable /var/named/chroot/etc/named.conf 0640
E: bind-chroot non-standard-gid /var/named/chroot/var/run named
E: bind-chroot non-standard-dir-perm /var/named/chroot/var/run 0750
E: bind-chroot non-standard-uid /var/named/chroot/dev/zero named
E: bind-chroot non-standard-gid /var/named/chroot/dev/zero named
E: bind-chroot non-readable /var/named/chroot/dev/zero 0660
E: bind-chroot non-standard-gid /var/named/chroot/etc/rndc.key named
E: bind-chroot non-readable /var/named/chroot/etc/rndc.key 0640
E: bind-chroot non-standard-gid /var/named/chroot named
E: bind-chroot non-standard-dir-perm /var/named/chroot 0750
E: bind-chroot non-standard-gid /var/named/chroot/var named
E: bind-chroot non-standard-dir-perm /var/named/chroot/var 0750
E: bind-chroot non-standard-uid /var/named/chroot/var/named/data named
E: bind-chroot non-standard-gid /var/named/chroot/var/named/data named
E: bind-chroot non-standard-dir-perm /var/named/chroot/var/named/data 0770
E: bind-chroot non-standard-uid /var/named/chroot/var/named/slaves named
E: bind-chroot non-standard-gid /var/named/chroot/var/named/slaves named
E: bind-chroot non-standard-dir-perm /var/named/chroot/var/named/slaves 0770
E: bind-chroot non-standard-gid /var/named/chroot/etc named
E: bind-chroot non-standard-dir-perm /var/named/chroot/etc 0750
E: bind-chroot non-standard-uid /var/named/chroot/var/run/named named
E: bind-chroot non-standard-gid /var/named/chroot/var/run/named named
E: bind-chroot non-standard-dir-perm /var/named/chroot/var/run/named 0770
W: bind-chroot FSSTND-dir-in-var /var/named/chroot/var/tmp
devel
W: bind-devel no-dependency-on bind
W: bind-devel summary-ended-with-dot Header files and libraries needed for BIND
DNS development.
E: bind-devel obsolete-not-provided bind-libbind-devel
libs
E: bind-libs description-line-too-long Contains libraries used by both the bind
server package as well as the utils packages.
E: bind-libs obsolete-not-provided bind-libbind-devel
W: bind-libs no-documentation
sdb
W: bind-sdb summary-ended-with-dot The Berkeley Internet Name Domain (BIND) DNS
(Domain Name System) server with database backends.
E: bind-sdb summary-too-long The Berkeley Internet Name Domain (BIND) DNS
(Domain Name System) server with database backends.
E: bind-sdb non-standard-gid /usr/share/doc/bind-sdb-9.3.4 named
E: bind-sdb non-standard-gid /usr/sbin/zonetodb named
E: bind-sdb non-readable /usr/sbin/zonetodb 0750
E: bind-sdb non-standard-executable-perm /usr/sbin/zonetodb 0750
E: bind-sdb non-standard-gid /usr/share/doc/bind-sdb-9.3.4/README.sdb_pgsql named
E: bind-sdb non-standard-gid /usr/share/doc/bind-sdb-9.3.4/INSTALL.ldap named
E: bind-sdb non-standard-gid /usr/share/man/man1/zone2ldap.1.gz named
E: bind-sdb non-standard-gid /usr/sbin/ldap2zone named
E: bind-sdb non-readable /usr/sbin/ldap2zone 0750
E: bind-sdb non-standard-executable-perm /usr/sbin/ldap2zone 0750
E: bind-sdb non-standard-gid /usr/sbin/zone2ldap named
E: bind-sdb non-readable /usr/sbin/zone2ldap 0750
E: bind-sdb non-standard-executable-perm /usr/sbin/zone2ldap 0750
E: bind-sdb non-standard-gid /usr/sbin/named_sdb named
E: bind-sdb non-readable /usr/sbin/named_sdb 0750
E: bind-sdb non-standard-executable-perm /usr/sbin/named_sdb 0750
E: bind-sdb non-standard-gid /usr/share/doc/bind-sdb-9.3.4/README.ldap named
W: bind-sdb dangerous-command-in-%post cp
E: bind-sdb use-tmp-in-%post
W: bind-sdb dangerous-command-in-%preun mv
E: bind-sdb use-tmp-in-%preun

Comment 1 Marcela Mašláňová 2007-02-26 15:52:57 UTC
Buildroot: replace with
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Remove from prereq: bash, coreutils, sed -> in two or more subpackages are these
prereq.

make test part has to be in part %check, which is missing.

Scripts like %preun and so on and %clean phase are before %files. %files are
last thing before %changelog.

Sources look ok.

Comment 2 Adam Tkac 2007-03-16 15:26:31 UTC
bind-*9.4.0-3.fc7 could be ready...

Comment 3 Adam Tkac 2007-05-29 13:28:46 UTC
It's after merge, closing

-A-


Note You need to log in before you can comment on or make changes to this bug.